aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reconfigure5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/reconfigure b/bin/reconfigure
index fe88549..9991304 100755
--- a/bin/reconfigure
+++ b/bin/reconfigure
@@ -85,6 +85,9 @@ if [ "$UPDATE" = true ]; then
fi
+trap 'bins > /dev/null' EXIT
+
+
HOSTNAME="$(hostname)"
pass show "$(hostname)"/andreh |
@@ -92,5 +95,3 @@ pass show "$(hostname)"/andreh |
sudo -ES guix system -v3 reconfigure "$XDG_CONFIG_HOME"/guix/system.scm
guix home -v3 reconfigure "$XDG_CONFIG_HOME"/guix/home.scm
-
-bins > /dev/null